<?php

namespace Ulmus\Annotation\Property;

class Field implements \Ulmus\Annotation\Annotation {

    public string $type;

    public string $name;
    
    # public string $column;
    
    public int $length;

    public int $precision;

    public array $attributes = [];

    public bool $nullable = false;

    public function __construct(? string $type = null, ? int $length = null)
    {
        if ( $type !== null ) {
            $this->type = $type;
        }
        
        if ( $length !== null ) {
            $this->length = $length;
        }
    }
}
